@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

.company_culture_all-remote_index {// sass-lint:disable-line class-name-format
  .blank-header {
    display: none;
  }

  .footer {
    margin-top: 0;
  }

  .sticky-banner {
    z-index: 1500;
  }

  .sticky-banner .action {
    flex: auto;
    justify-content: flex-end;
    display: flex;
    
    @media all and (max-width: $grid-float-breakpoint) {
      justify-content: flex-start;
    }
  }

  .sticky-banner .action .featured-item-cta-btn {
    height: 44px;
  }

  .playbook-share-block {
    display: flex;
    justify-content: center;
    margin-left: -20px;
    margin-top: 20px;
    margin-bottom: 20px;

    @media all and (max-width: $grid-float-breakpoint) {
      margin-left: -5px;
    }
  }

  .playbook-share-text {
    margin-right: 10px;
    font-size: 16px;
    color: $color-gray-light;
  }

  .share-butons .share-btn {
    width: 28px;
    line-height: 28px;

    @media all and (max-width: $grid-float-breakpoint) {
      width: 26px;
      line-height: 26px;
    }
  }

  .share-butons .share-btn.share-btn-facebook,
  .share-butons .share-btn.share-btn-twitter,
  .share-butons .share-btn.share-btn-linkedin {
    background-color: #ccc;
    font-size: 18px;

    @media all and (max-width: $grid-float-breakpoint) {
      font-size: 16px;
    }
  }

  .share-butons .share-btn.share-btn-facebook:hover {
    background-color: #3b5998;
  }

  .share-butons .share-btn.share-btn-twitter:hover {
    background-color: #55acee;
  }

  .share-butons .share-btn.share-btn-linkedin:hover {
    background-color: #007bb5;
  }
}

.all-remote-landing {
  padding-top: 60px;

  .monospace-heading {
    font-family: Courier New, Courier, sans-serif;
    font-weight: 400;
    display: inline-block;
    padding: 8px 16px;
    box-shadow: 7px 7px 0 rgba(255, 255, 255, .3);
    margin: 0;
  }

  .hero-row {
    display: flex;

    @media all and (max-width: $screen-sm-min) {
      flex-direction: column;
    }
  }

  .hero {
    position: relative;
    z-index: 200;
    padding-bottom: 80px;

    @media all and (max-width: $grid-float-breakpoint) {
      padding-bottom: 60px;
    }

    .hero-image-wrap {
      position: relative;
      display: flex;
      justify-content: center;

      @media all and (max-width: $screen-sm-min) {
        display: block;
        text-align: center;
      }
    }

    img {
      width: 320px;
      height: auto;
      max-width: 100%;
      margin: 0 auto;
      display: flex;
      align-self: center;
      box-shadow: 1px 1px 5px rgba(0, 0, 0, .3);
      // Previous setup with large overhanging image 2020-03-15
      // object-fit: cover;
      // height: 540px;
      // width: 100%;
      // border-radius: 5px;

      // @media all and (max-width: $screen-sm-min) {
      //   height: 280px;
      // }

      @media all and (max-width: $screen-sm-min) {
        width: 230px;
        margin: 0 auto 20px;
      }
    }

    h1 {
      color: $color-primary;
      font-weight: 400;
      font-size: 34px;
      margin-bottom: 0;
      margin-top: 10px;
      padding-bottom: 0;

      span {
        font-weight: 700;
      }
    }

    p {
      margin-top: 30px;
    }

    .hero-content {
      //max-width: 500px;
      padding-left: 40px;

      @media all and (max-width: $grid-float-breakpoint) {
        max-width: 100%;
        padding-left: 10px;
      }
    }

    .cta-btn.form-lightbox-open {
      line-height: 23px;
      padding: 13px 30px;

      @media all and (max-width: $screen-sm-min) {
        padding: 13px 15px;
      }
    }
  }

  @media all and (max-width: $screen-sm-min) {
    .hero-image-col,
    .hero-content-col {
      width: 100%;
    }
  }

  .playbook-color-block {
    position: absolute;
    z-index: 2;
  }

  .playbook-color-block-1 {
    top: 100px;
    left: -8px;
    background: #fca326;
    width: 114px;
    height: 114px;
    z-index: -2;

    @media all and (max-width: $grid-float-breakpoint) {
      display: none;
    }
  }

  .playbook-color-block-2 {
    top: -11px;
    left: 18px;
    background: #fc6d26;
    height: 121px;
    width: 121px;
    z-index: -20;

    @media all and (max-width: $grid-float-breakpoint) {
      display: none;
    }
  }

  .all-remote-webcast {
    background: $color-gray-extra-light;
  }

  .all-remote-webcast-content {
    display: flex;
    justify-content: center;
    padding: 20px 0;

    @media all and (max-width: $grid-float-breakpoint) {
      flex-direction: column;
      text-align: center;
      padding: 40px 0;
    }

    .webcast-background-img {
      width: 190px;
      margin-right: 20px;

      @media all and (max-width: $grid-float-breakpoint) {
        margin: 0 auto 20px;
      }
    }

    .webcast-tagline,
    .webcast-btn-wrap {
      display: flex;
      justify-content: center;
      flex-direction: column;
      position: relative;
      z-index: 10;
    }

    .webcast-tagline {
      margin-right: 20px;
      font-weight: 700;

      @media all and (max-width: $grid-float-breakpoint) {
        margin-right: 0;
        margin-bottom: 20px;
      }
    }

    .webcast-btn-wrap {
      margin-left: 20px;

      @media all and (max-width: $grid-float-breakpoint) {
        margin-left: 0;
        display: block;
      }
    }
  }

  .manifesto {
    padding: 80px 0;
    background-image: linear-gradient(to top right, #1D1237, #523E8E);
    color: $color-white;

    h2 {
      background: $color-white;
      color: $color-primary;

      @media all and (max-width: $grid-float-breakpoint) {
        margin-bottom: 60px;
      }
    }
  }

  .manifesto-heading-wrap {
    display: flex;
    justify-content: center; 

    @media all and (max-width: $grid-float-breakpoint) {
      justify-content: flex-start;
    }
  }

  .manifesto-list-block {
    margin-top: 80px;

    @media all and (max-width: $grid-float-breakpoint) {
      margin-top: 0;
    }
  }

  .manifesto-list-item {
    display: flex;
    justify-content: space-between;
    margin-bottom: 25px;

    span:nth-child(1) {
      font-family: Courier New, Courier, sans-serif;
      font-weight: 700;
      font-size: 22px;
      background: $color-white;
      color: $color-primary;
      border-radius: 50%;
      height: 40px;
      width: 40px;
      justify-content: center;
      text-align: center;
      display: flex;
      flex-direction: column;
      position: relative;
      top: -8px;
    }

    span:nth-child(2) {
      line-height: 1.35;
      width: calc(100% - 60px);
    }
  }

  .video_container {// sass-lint:disable-line class-name-format
    border: 0;
    border-width: 0;

    iframe {
      border: 0;
      border-width: 0;
      z-index: 100;
    }
  }

  .why-remote {
    position: relative;
    padding: 100px 0 110px;
  }

  .why-remote-color-block {
    position: absolute;
    z-index: 2;
  }

  .why-remote-color-block-1 {
    top: 0;
    left: 0;
    background: #fca326;
    width: 100px;
    height: 100px;

    @media all and (max-width: $grid-float-breakpoint) {
      width: 70px;
      height: 70px;
    }
  }

  .why-remote-color-block-2 {
    bottom: 60px;
    left: 0;
    background: #fc6d26;
    height: 110px;
    width: 90px;

    @media all and (max-width: $grid-float-breakpoint) {
      display: none;
    }
  }

  .why-remote-color-block-3 {
    bottom: 120px;
    left: 50px;
    background: #9795f9;
    height: 80px;
    width: 80px;

    @media all and (max-width: $grid-float-breakpoint) {
      bottom: auto;
      top: 16px;
      left: 24px;
      width: 65px;
      height: 65px;
    }
  }

  .why-remote-color-block-4 {
    bottom: -10px;
    left: -25px;
    background: #9795f9;
    height: 80px;
    width: 80px;
  }

  .why-remote-color-block-5 {
    bottom: -38px;
    right: 70px;
    background: #fca326;
    width: 140px;
    height: 150px;
    z-index: 50;
  }

  .why-remote-color-block-6 {
    bottom: -16px;
    right: 40px;
    background: #fc6d26;
    height: 70px;
    width: 70px;
  }

  .why-remote-col-wrap {
    display: flex;
    justify-content: space-between;
    width: 94%;
    margin: 0 auto;
    max-width: 1480px;

    @media all and (max-width: $grid-float-breakpoint) {
      flex-direction: column;
    }
  }

  .why-remote-col {
    width: 50%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    z-index: 800;

    @media all and (max-width: $grid-float-breakpoint) {
      width: 100%;
    }
  }

  .why-remote-text {
    text-align: right;
    width: 410px;
    max-width: 90%;
    margin: 0 auto;

    a {
      text-decoration: underline;
    }

    @media all and (max-width: $grid-float-breakpoint) {
      width: 100%;
      margin: 0 auto 50px;
      text-align: center;
    }

    h2 {
      color: $color-primary;
      font-weight: 700;
      margin: 0;
      padding: 0 0 15px;
    }

    p {
      margin: 0;
      padding: 0;
      font-size: 20px;
    }
  }

  .why-remote-video {
    position: relative;
  }

  .all-remote-quick-links {
    padding: 55px 0 100px;
    background-image: linear-gradient(to top right, rgb(237, 236, 240), #FFFFFF);
    color: $color-blue;
    position: relative;
    //margin-top: -120px;

    @media all and (max-width: $grid-float-breakpoint) {
      margin-top: 0;
      padding: 60px 0 45px;
    }

    h2 {
      color: $color-black;
      background: transparent;
      // background: $color-white;
      // color: $color-primary;
      margin-bottom: 55px;
      margin-left: 40px;

      @media all and (max-width: $grid-float-breakpoint) {
        margin-left: 0;
      }

      a {
        color: $color-black;
        transition: opacity .2s ease;

        &:hover {
          text-decoration: none;
          opacity: .7;
        }
      }
    }

    h4 {
      font-size: 19px;
      margin-bottom: 25px;
      font-weight: 700;
    }

    a {
      color: $color-black;
      text-decoration: underline;
    }

    ul {
      margin: 0;
      padding: 0;
    }

    li {
      list-style-type: none;
      font-size: 17px;
      margin-bottom: 7px;
      margin-top: 0;
      padding: 0;
    }

    @media all and (max-width: $grid-float-breakpoint) {
      .col-md-2 {
        width: 45%;
        margin-bottom: 30px;
      }

      .row-quick-links-wrap {
        display: flex;
        flex-wrap: wrap;
        text-align: left;
      }
    }
  }

  .all-remote-quick-links-intro {
    display: flex;
    justify-content: center;
    text-align: center;

    // @media all and (max-width: $grid-float-breakpoint) {
    //   justify-content: flex-start;
    // }

    h2 {
      font-weight: 700;

      a {
        color: $color-white;
        opacity: 1;
        font-weight: 700;
        text-decoration: underline;
      }
    }
  }

  .featured-remote-posts {
    padding: 80px 0;
    background-image: url("/images/all-remote/striped-sidebar.svg");
    background-repeat: repeat-y;
  }

  .featured-remote-posts-content {
    h2 {
      margin-top: 0;
      padding: 0;
      margin-bottom: 60px;
      color: $color-primary;
      font-weight: 700;
    }
  }

  .all-remote-case-studies {
    background: $color-white;
    border-top: 1px solid #e6e3ed;
    border-bottom: 1px solid #e6e3ed;
    padding: 70px 0 105px;
    background-image: linear-gradient(135deg, #ffffff 37.50%, #e6e3ed 37.50%, #e6e3ed 50%, #ffffff 50%, #ffffff 87.50%, #e6e3ed 87.50%, #e6e3ed 100%);
    background-size: 5.66px 5.66px;
    background-repeat: repeat;

    @media all and (max-width: $grid-float-breakpoint) {
      padding: 70px 0 60px;
    }

    h2 {
      margin-top: 0;
      padding: 0;
      margin-bottom: 60px;
      color: $color-primary;
      font-weight: 700;
    }

    .case-study-element {
      display: flex;
      justify-content: flex-start;

      @media all and (max-width: $grid-float-breakpoint) {
        margin-bottom: 45px;
      }
    }

    .case-study-img {
      padding-right: 20px;
      width: 145px;
      
      @media all and (max-width: $container-large-desktop) {
        width: 125px;
      }
    }

    .case-study-content {
      width: calc(100% - 145px);
      padding-right: 10px;

      @media all and (max-width: $container-large-desktop) {
        width: calc(100% - 125px);
      }
    }

    a {
      &.case-study-btn {
        display: inline-block;
        margin-top: 15px;
        color: $color-white;
        background: $color-primary;
        font-size: 14px;
        font-weight: 400;
        border-radius: 4px;
        padding: 7px 13px;
        transition: all .2s ease;

        &:hover {
          text-decoration: none;
          background: $color-primary-dark;
        }
      }

      .case-study-title {
        font-weight: 700;
        margin-top: 0;
        margin-bottom: 5px;
        color: $color-dark;
        transition: opacity .2s ease;
      }

      &:hover {
        text-decoration: none;
        opacity: .7;

        .case-study-title {
          text-decoration: none;
          opacity: .7;
        }
      }
    }

    .case-study-author {
      color: $color-gray;
      line-height: 1.3;
    }
  }

  .all-remote-connect-block {
    background: $color-gray-extra-light-alt;
    padding: 80px 0;

    h3 {
      font-weight: 700;
      color: $color-primary;
    }
  }

  .mktoForm {// sass-lint:disable-line class-name-format
    margin: 0 auto 0 0;

    @media all and (max-width: $screen-sm-min) {
      max-width: 280px;
    }
  }

  .bl-modal .mktoForm {// sass-lint:disable-line class-name-format
    padding-bottom: 40px;
    margin: 0 auto;
  }

  .all-remote-social-block {
    ul {
      margin: 25px 0 60px;
      padding: 0;
    }

    li {
      list-style-type: none;
      display: inline-block;
      margin-right: 30px;

      &:last-child {
        margin-right: 0;
      }
    }

    img {
      max-height: 41px;
    }
  }

  .all-remote-join-block {
    @media all and (max-width: $screen-sm-min) {
      margin-bottom: 50px;
    }
  }

  .footer {
    margin-top: 0;
  }
}
